curl --request PATCH \
--url https://api.quiva.ai/hub/nodes/{collection_topic}/{node_topic} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"subject": "ms.hub.config.node.805092869.98765432",
"data": {
"name": "ProcessPayment",
"node_type": "function",
"subject": "quiva-function.stripe-charge",
"payload": {
"amount": "{{trigger.amount}}",
"currency": "{{trigger.currency}}",
"customer_id": "{{trigger.customer_id}}",
"metadata": {
"order_id": "{{trigger.order_id}}"
}
}
}
}
'{
"message": "success"
}Nodes
Update a node
Updates an existing node’s properties
PATCH
/
hub
/
nodes
/
{collection_topic}
/
{node_topic}
curl --request PATCH \
--url https://api.quiva.ai/hub/nodes/{collection_topic}/{node_topic} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"subject": "ms.hub.config.node.805092869.98765432",
"data": {
"name": "ProcessPayment",
"node_type": "function",
"subject": "quiva-function.stripe-charge",
"payload": {
"amount": "{{trigger.amount}}",
"currency": "{{trigger.currency}}",
"customer_id": "{{trigger.customer_id}}",
"metadata": {
"order_id": "{{trigger.order_id}}"
}
}
}
}
'{
"message": "success"
}Authorizations
bearerAuthapiKeyAuth
JWT Authorization header using the Bearer scheme
Path Parameters
The topic is a hash of the name that was used when a collection was created
Node topic - hash of the names the node was created with
Body
application/json
Response
Node updated successfully
Success message